/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.johnzon.mapper.converter;

import org.apache.johnzon.mapper.Converter;

import java.net.MalformedURLException;
import java.net.URL;

public class URLConverter implements Converter<URL> {
    @Override
    public String toString(final URL instance) {
        return instance.toExternalForm();
    }

    @Override
    public URL fromString(final String text) {
        try {
            return new URL(text);
        } catch (final MalformedURLException e) {
            throw new IllegalArgumentException(e);
        }
    }
}
